=== debian/changelog ===
khronos-opencl-man (1.0~svn22836-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with current Ruby version. (Closes: #735653)
    + Incl. patch from Rebecca Palmer: Explicitly set text encoding to
      UTF-8 to allow building with newer Ruby versions.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 02:36:29 +0100

khronos-opencl-man (1.0~svn22836-1) unstable; urgency=low

  * Do not delete index.html, remove lintian error
  * Move to Debian OpenCL Maintainers
  * Use canonical URLs for debian VCS

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Aug 2013 14:08:13 +0200

khronos-opencl-man (1.0~svn21772-1) unstable; urgency=low

  * Initial Debian Upload

 -- Mathieu Malaterre <malat@debian.org>  Tue, 21 May 2013 18:06:15 +0200
