=== debian/control ===
Source: khronos-opencl-man
Section: doc
Priority: extra
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc, ruby
Standards-Version: 3.9.4
Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/

Package: opencl-1.2-html-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Description: OpenCL 1.2 documentation - html pages
 OpenCL (Open Computing Language) is an open royalty-free standard for general
 purpose parallel programming across CPUs, GPUs and other processors, giving
 software developers portable and efficient access to the power of these
 heterogeneous processing platforms.
 .
 OpenCL supports a wide range of applications, ranging from embedded and
 consumer software to HPC solutions, through a low-level, high-performance,
 portable abstraction. By creating an efficient, close-to-the-metal programming
 interface, OpenCL will form the foundation layer of a parallel computing
 ecosystem of platform-independent tools, middleware and applications.
 .
 OpenCL consists of an API for coordinating parallel computation across
 heterogeneous processors; and a cross-platform programming language with a
 well-specified computation environment. The OpenCL standard:
 .
  - Supports both data- and task-based parallel programming models
  - Utilizes a subset of ISO C99 with extensions for parallelism
  - Defines consistent numerical requirements based on IEEE 754
  - Defines a configuration profile for handheld and embedded devices
  - Efficiently interoperates with OpenGL, OpenGL ES, and other graphics APIs
 .
 The specification is divided into a core specification that any OpenCL
 compliant implementation must support; a handheld/embedded profile which
 relaxes the OpenCL compliance requirements for handheld and embedded devices;
 and a set of optional extensions that are likely to move into the core
 specification in later revisions of the OpenCL specification.
 .
 This is exactly the documentation that can be found at:
 http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/clCreateBuffer.html

Package: opencl-1.2-man-doc
Provides: manpages-opencl
Architecture: all
Depends: ${misc:Depends}
Description: OpenCL 1.2 documentation - man pages (experimental)
 OpenCL (Open Computing Language) is an open royalty-free standard for general
 purpose parallel programming across CPUs, GPUs and other processors, giving
 software developers portable and efficient access to the power of these
 heterogeneous processing platforms.
 .
 OpenCL supports a wide range of applications, ranging from embedded and
 consumer software to HPC solutions, through a low-level, high-performance,
 portable abstraction. By creating an efficient, close-to-the-metal programming
 interface, OpenCL will form the foundation layer of a parallel computing
 ecosystem of platform-independent tools, middleware and applications.
 .
 OpenCL consists of an API for coordinating parallel computation across
 heterogeneous processors; and a cross-platform programming language with a
 well-specified computation environment. The OpenCL standard:
 .
  - Supports both data- and task-based parallel programming models
  - Utilizes a subset of ISO C99 with extensions for parallelism
  - Defines consistent numerical requirements based on IEEE 754
  - Defines a configuration profile for handheld and embedded devices
  - Efficiently interoperates with OpenGL, OpenGL ES, and other graphics APIs
 .
 The specification is divided into a core specification that any OpenCL
 compliant implementation must support; a handheld/embedded profile which
 relaxes the OpenCL compliance requirements for handheld and embedded devices;
 and a set of optional extensions that are likely to move into the core
 specification in later revisions of the OpenCL specification.
 .
 This is experimental man page package until support gets integrated upstream.
