=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean xhtml/*.3clc
	dh_clean man/Makefile.xmldeps

pkg_xml = opencl-1.2-html-doc
pkg_man = opencl-1.2-man-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_xml) xhtml/*.html xhtml/*.css xhtml/*.jpg xhtml/*.gif

override_dh_installman:
	dh_installman -p$(pkg_man) man/*.3clc
	# d/copyright
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

get-orig-source:
	./debian/get-orig-source
