=== debian/changelog ===
khronos-opencl-man (1.0~svn27110-1) unstable; urgency=low

  [ Rebecca Palmer ]
  * Do not delete Opencl_header.html, Opencl_tofc.html,
    oclRefPages-Title.html
  * Remove runtime-fetched favicon.  Closes: #738635

  [ Mathieu Malaterre ]
  * Import new snapshot
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Jun 2014 21:38:46 +0200
