=== debian/control ===
--- 
+++ 
@@ -2,16 +2,22 @@
 Section: doc
 Priority: extra
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
-Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc, ruby
-Standards-Version: 3.9.4
+Uploaders: Mathieu Malaterre <malat@debian.org>,
+           Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
+Build-Depends: debhelper (>= 9),
+               docbook-mathml (>= 1.1~),
+               docbook-xsl,
+               ruby,
+               w3-dtd-mathml,
+               xsltproc
+Standards-Version: 3.9.5
 Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/
 
 Package: opencl-1.2-html-doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends: doc-base, ${misc:Depends}
 Description: OpenCL 1.2 documentation - html pages
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving
