=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_clean:
 	dh_clean xhtml/*.3clc
 	dh_clean man/Makefile.xmldeps
+	dh_clean man/section-to-page.xml
 
 pkg_xml = opencl-1.2-html-doc
 pkg_man = opencl-1.2-man-doc
