## khronos-opencl-man 1.0~svn33624

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 	  compressedformattable.xml \
 	  internalformattable.xml \
 	  texboformattable.xml \
+	  apifunchead.xml \
+	  apiversion.xml \
 	  funchead.xml \
 	  varhead.xml \
 	  version.xml
