=== debian/changelog ===
khronos-opencl-man (1.0~svn33624-6) unstable; urgency=medium

  * Team upload.
  * Fix invalid xml rejected by xsltproc 1.1.43.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Sep 2025 22:42:24 +0200

khronos-opencl-man (1.0~svn33624-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: drop unused w3-dtd-mathml (Closes: #1087752)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 18 Nov 2024 15:54:45 +0100

khronos-opencl-man (1.0~svn33624-5) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Jan 2021 15:40:57 +0100

khronos-opencl-man (1.0~svn33624-4) unstable; urgency=medium

  * Team upload.
  * Mark opencl-1.2-man-doc as Multi-Arch: foreign.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Feb 2019 15:45:52 +0100

khronos-opencl-man (1.0~svn33624-3) UNRELEASED; urgency=medium

  * unreleased

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Mar 2018 16:53:00 +0200

khronos-opencl-man (1.0~svn33624-2) unstable; urgency=medium

  * Team upload.
  * Convert packaging repository from SVN to GIT.
  * Simplify installation rules.
  * Use https:// URLs.
  * Fix copyright file syntax.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Mar 2018 17:00:34 +0100

khronos-opencl-man (1.0~svn33624-1) unstable; urgency=medium

  * New snapshot
  * Bump Std-Vers to 4.1.3. Update to Priority: optional.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 03 Jan 2018 07:19:11 +0100
