=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: khronos-opencl-man
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
-Build-Depends: debhelper (>= 9),
-               docbook-mathml (>= 1.1~),
-               docbook-xsl,
-               ruby,
-               w3-dtd-mathml,
-               xsltproc
-Standards-Version: 3.9.5
-Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/
+Uploaders:
+ Mathieu Malaterre <malat@debian.org>,
+ Giuseppe Bilotta <giuseppe.bilotta@gmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-mathml,
+ docbook-xsl,
+ ruby,
+ xsltproc,
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://www.khronos.org/registry/OpenCL/sdk/1.2/docs/man/xhtml/
+Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-man
+Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-man.git
 
 Package: opencl-1.2-html-doc
 Architecture: all
-Depends: doc-base, ${misc:Depends}
+Depends:
+ doc-base,
+ ${misc:Depends},
 Description: OpenCL 1.2 documentation - html pages
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving
@@ -47,12 +51,15 @@
  specification in later revisions of the OpenCL specification.
  .
  This is exactly the documentation that can be found at:
- http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/clCreateBuffer.html
+ https://www.khronos.org/registry/OpenCL/sdk/1.2/docs/man/xhtml/
 
 Package: opencl-1.2-man-doc
-Provides: manpages-opencl
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Provides:
+ manpages-opencl,
 Description: OpenCL 1.2 documentation - man pages (experimental)
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving
