=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# used in upstream's build system
export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean xhtml/*.3clc
	dh_clean man/Makefile.xmldeps
	dh_clean man/section-to-page.xml

# no make install rule:
override_dh_auto_install:

get-orig-source:
	./debian/get-orig-source
